Arch AxisSystem/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "==Script==")
(Updating to match new version of source page)
 
(28 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{GuiCommand|Name=Arch AxisSystem|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Axis System|SeeAlso=[[Arch Axis|Arch Axis]]}}
{{Docnav
|[[Arch_Axis|Axis]]
|[[Arch_Grid|Grid]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_Axis.svg
|IconR=Arch_Grid.svg
|IconC=Workbench_Arch.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/ro
|Name=Arch AxisSystem
|Name/ro=Arch AxisSystem
|MenuLocation=Arch → Axis System
|Workbenches=[[Arch_Workbench/ro|Arch]]
|SeeAlso=[[Arch Axis/ro|Arch Axis]], [[Arch Grid/ro|Grid]]
}}
</div>


==Descriere==
==Descriere==


<div class="mw-translate-fuzzy">
The Axis System tool allows you to combine 2 or 3 [[Arch Axis]] objects. The main function of this tool is to calculate intersection points between the different axes included in this system. Arch objects can then use this system to duplicate their shape on the different intersection points.
Instrumentul Axis System vă permite să combinați 2 sau 3 obiecte [[Arch Axis]]. Funcția principală a acestui instrument este de a calcula punctele de intersecție dintre diferitele axe incluse în acest sistem. Obiectele atelierului Arch pot folosi acest sistem pentru a duplica/multiplica forma lor la diferite punctele de intersecție.
</div>

This is useful to define the intersection points between the different axes. Arch objects can then use this system to duplicate their shape on the different intersection points.


[[Image:Arch AxisSystem example.jpg|600px]]
[[Image:Arch AxisSystem example.jpg|600px]]
<div class="mw-translate-fuzzy">
''Imaginea de mai jos arată trei obiecte [[Arch Axis]] combinate într-un Axis System. Un obiect coloană utilizează acest sistem ca pe propria '''Axis''' , pentru a avea propria formă duplicată la fiecare punct de intersecție.''
</div>


<div class="mw-translate-fuzzy">
The above image shows three [[Arch Axis]] objects combined into one Axis System. A column object then uses this system as its '''Axis''' property, to have its shape duplicated at each intersection point.

== Cum se folosește ==
== Cum se folosește ==
</div>


<div class="mw-translate-fuzzy">
# Optionally, select the [[Arch Axis]] objects you wish to include in this system
# Opțional, selectați opbeictele [[Arch Axis]] pe are doriți să le introduceți în acest sistem
# Press the {{KEY|[[Image:Arch AxisSystem.png|16px]] [[Arch AxisSystem]]}} button
# Apăsați butonul {{KEY|[[Image:Arch AxisSystem.png|16px]] [[Arch AxisSystem]]}}
# Right-click the newly created axes system object in the tree view to add/edit the [[Arch Axis]] objects included in this system
# Faceți clic drapta pe noul obiect axes system creat în arborele de vederă și add/edit obeictele [[Arch Axis]] incluse în sistem
# Select any existing [[Arch Axis]] and press Add or Delete buttons to add or remove it to/from this system
# Selectați orice [[Arch Axis]] și apăsați butonul Add sau or Delete pentru a-l adăuga sau a-l șterge to/from acest sistem
# Set the '''Axis''' property of any Arch object to point to this system, to have its shape duplicated to the intersection points of this system
# Definiți proprietățile '''Axis''' pentru orice obiect Arch pentru a-l point pe acest sistem, pentru a avea forma duplicată la punctul de intersecție al sistemului acesta
</div>


== Opţiuni ==
== Opţiuni ==


<div class="mw-translate-fuzzy">
* A same [[Arch Axis]] object can be part of more than one system
* Același obiect [[Arch Axis]] poate face parte din mai multe siteme
* Any shape-based object can also be used as the '''Axis''' property of Arch objects. In this case, the object shape will be duplicated along the vertices of the Axis object
* Orice obiect shape-based poate fi utilizat ca proprietate'''Axis''' a obiectelor Arch. În acest caz, obiectul formă va fi duplicat de-a lungul vortexurilor obiectului Axă
</div>


==Scripting==

<div class="mw-translate-fuzzy">
==Script==
==Script==
</div>


<div class="mw-translate-fuzzy">
The Axis System tool can by used in [[macros]] and from the python console by using the following function:
Instrumentul Axis System poate fi utilizat în [[macros]] și de la consola python utilizând umătoarea funcție:
</div>
{{Code|code=
{{Code|code=
AxisSystem = makeAxisSystem(axes, name="Axis System")
makeAxisSystem ([axes])
}}
}}


<div class="mw-translate-fuzzy">
Makes an Axis System based on the given list of [[Arch Axis]]
Face un Axis System bazat pe lista dată de [[Arch Axis]]
</div>


Exempluː
Example:
{{Code|code=
{{Code|code=
import Arch
import Draft, Arch

a = Arch.makeAxis(5,2)
Axes = Arch.makeAxis(5, 1000)
Arch.makeAxisSystem([a])

Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150

Axes2 = Arch.makeAxis(6, 500)

Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()

Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()

AxisSystem = Arch.makeAxisSystem([Axes, Axes2])

Structure = Arch.makeStructure(length=200, width=200, height=100)
Draft.move(Structure, FreeCAD.Vector(-100, 0, 0))
Structure.Axis = AxisSystem
FreeCAD.ActiveDocument.recompute()
}}
}}


<div class="mw-translate-fuzzy">
{{docnav|[[Arch_Axis|Axis]]|[[Arch_Grid|Grid]]|[[Arch_Workbench/ro|Arch]]|IconL=Arch_Axis.svg |IconC=Workbench_Arch.svg |IconR=Arch_Grid.svg}}
</div>

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 19:27, 8 November 2021

Arch AxisSystem

poziția meniului
Arch → Axis System
Ateliere
Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Arch Axis, Grid

Descriere

Instrumentul Axis System vă permite să combinați 2 sau 3 obiecte Arch Axis. Funcția principală a acestui instrument este de a calcula punctele de intersecție dintre diferitele axe incluse în acest sistem. Obiectele atelierului Arch pot folosi acest sistem pentru a duplica/multiplica forma lor la diferite punctele de intersecție.

This is useful to define the intersection points between the different axes. Arch objects can then use this system to duplicate their shape on the different intersection points.

Imaginea de mai jos arată trei obiecte Arch Axis combinate într-un Axis System. Un obiect coloană utilizează acest sistem ca pe propria Axis , pentru a avea propria formă duplicată la fiecare punct de intersecție.

Cum se folosește

  1. Opțional, selectați opbeictele Arch Axis pe are doriți să le introduceți în acest sistem
  2. Apăsați butonul Arch AxisSystem
  3. Faceți clic drapta pe noul obiect axes system creat în arborele de vederă și add/edit obeictele Arch Axis incluse în sistem
  4. Selectați orice Arch Axis și apăsați butonul Add sau or Delete pentru a-l adăuga sau a-l șterge to/from acest sistem
  5. Definiți proprietățile Axis pentru orice obiect Arch pentru a-l point pe acest sistem, pentru a avea forma duplicată la punctul de intersecție al sistemului acesta

Opţiuni

  • Același obiect Arch Axis poate face parte din mai multe siteme
  • Orice obiect shape-based poate fi utilizat ca proprietateAxis a obiectelor Arch. În acest caz, obiectul formă va fi duplicat de-a lungul vortexurilor obiectului Axă

Scripting

Script

Instrumentul Axis System poate fi utilizat în macros și de la consola python utilizând umătoarea funcție:

AxisSystem = makeAxisSystem(axes, name="Axis System")

Face un Axis System bazat pe lista dată de Arch Axis

Exempluː

import Draft, Arch

Axes = Arch.makeAxis(5, 1000)

Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150

Axes2 = Arch.makeAxis(6, 500)

Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()

Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()

AxisSystem = Arch.makeAxisSystem([Axes, Axes2])

Structure = Arch.makeStructure(length=200, width=200, height=100)
Draft.move(Structure, FreeCAD.Vector(-100, 0, 0))
Structure.Axis = AxisSystem
FreeCAD.ActiveDocument.recompute()